{"openapi":"3.1.0","info":{"title":"RIHA API","description":"API description generated by springdoc-openapi plugin","version":"1.0"},"servers":[{"url":"https://www.riha.ee","description":"Generated server url"}],"paths":{"/api/v1/user/organization":{"put":{"tags":["Users"],"summary":"Change active organization of the current user","operationId":"changeActiveOrganization","requestBody":{"content":{"application/json":{"schema":{"type":"string"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UserDetailsModel"}}}}}}},"/api/v1/systems/{reference}":{"get":{"tags":["Information systems"],"summary":"Get existing information system","operationId":"get","parameters":[{"name":"reference","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InfoSystemModel"}}}}}},"put":{"tags":["Information systems"],"summary":"Update existing information system","operationId":"update","parameters":[{"name":"reference","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/InfoSystemModel"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InfoSystemModel"}}}}}}},"/api/v1/issues/{issueId}":{"get":{"tags":["Issues"],"summary":"Get single information system issue","operationId":"getInfoSystemIssue","parameters":[{"name":"issueId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string"}}}}}},"put":{"tags":["Issues"],"summary":"Update issue","operationId":"updateStatus","parameters":[{"name":"issueId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IssueStatusUpdateModel"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Issue"}}}}}}},"/api/v1/environment/organization":{"put":{"tags":["Environment configuration"],"summary":"Change active organization of the current user","operationId":"changeActiveOrganization_1","requestBody":{"content":{"application/json":{"schema":{"type":"string"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string"}}}}},"deprecated":true}},"/api/v1/systems":{"get":{"tags":["Information systems"],"summary":"List all existing information systems","operationId":"list","parameters":[{"name":"pageable","in":"query","required":true,"schema":{"$ref":"#/components/schemas/Pageable"}},{"name":"filterable","in":"query","required":true,"schema":{"$ref":"#/components/schemas/Filterable"}},{"name":"page","in":"query","description":"page number","schema":{"type":"integer"}},{"name":"size","in":"query","description":"page size","schema":{"type":"integer"}},{"name":"filter","in":"query","description":"filter options","schema":{"type":"string"}},{"name":"sort","in":"query","description":"sorting options","schema":{"type":"string"}},{"name":"fields","in":"query","description":"field list","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PagedResponseInfoSystemModel"}}}}}},"post":{"tags":["Information systems"],"summary":"Create new information system","operationId":"create","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/InfoSystemModel"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InfoSystemModel"}}}}}}},"/api/v1/systems/{reference}/relations":{"get":{"tags":["Information system relations"],"summary":"List all info system relations","operationId":"list_1","parameters":[{"name":"reference","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/RelationResponseSummaryModel"}}}}}}},"post":{"tags":["Information system relations"],"summary":"Create new relation for information system","operationId":"add","parameters":[{"name":"reference","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RelationModel"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RelationSummaryModel"}}}}}}},"/api/v1/systems/{reference}/issues":{"get":{"tags":["Issues"],"summary":"List all issues of information system","operationId":"listInfoSystemIssues","parameters":[{"name":"reference","in":"path","required":true,"schema":{"type":"string"}},{"name":"pageable","in":"query","required":true,"schema":{"$ref":"#/components/schemas/Pageable"}},{"name":"filterable","in":"query","required":true,"schema":{"$ref":"#/components/schemas/Filterable"}},{"name":"page","in":"query","description":"page number","schema":{"type":"integer"}},{"name":"size","in":"query","description":"page size","schema":{"type":"integer"}},{"name":"filter","in":"query","description":"filter options","schema":{"type":"string"}},{"name":"sort","in":"query","description":"sorting options","schema":{"type":"string"}},{"name":"fields","in":"query","description":"field list","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PagedResponseIssueSummaryModel"}}}}}},"post":{"tags":["Issues"],"summary":"Create new issue for information system","operationId":"createInfoSystemIssue","parameters":[{"name":"reference","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Issue"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Issue"}}}}}}},"/api/v1/systems/{reference}/files":{"post":{"tags":["File resources"],"summary":"Upload file","operationId":"upload","parameters":[{"name":"reference","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"file":{"type":"string","format":"binary"}},"required":["file"]}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string","format":"uuid"}}}}}}},"/api/v1/systems/{reference}/create-standard-realisation-system":{"post":{"tags":["Information systems"],"summary":"Create new realisation for standard information system","operationId":"createStandardInformationSystem","parameters":[{"name":"reference","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardRealisationCreationModel"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InfoSystemModel"}}}}}}},"/api/v1/system-feedback":{"post":{"tags":["Feedback"],"summary":"Save user feedback","operationId":"leaveFeedback","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SystemFeedbackRequest"}}},"required":true},"responses":{"200":{"description":"OK"}}}},"/api/v1/issues/{issueId}/decisions":{"post":{"tags":["Issues"],"summary":"Leave decision","operationId":"makeApprovalDecision","parameters":[{"name":"issueId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IssueApprovalDecisionModel"}}},"required":true},"responses":{"200":{"description":"OK"}}}},"/api/v1/issues/{issueId}/comments":{"get":{"tags":["Issue events"],"summary":"List all issue comments","operationId":"listIssueComments","parameters":[{"name":"issueId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"pageable","in":"query","required":true,"schema":{"$ref":"#/components/schemas/Pageable"}},{"name":"filterable","in":"query","required":true,"schema":{"$ref":"#/components/schemas/Filterable"}},{"name":"page","in":"query","description":"page number","schema":{"type":"integer"}},{"name":"size","in":"query","description":"page size","schema":{"type":"integer"}},{"name":"filter","in":"query","description":"filter options","schema":{"type":"string"}},{"name":"sort","in":"query","description":"sorting options","schema":{"type":"string"}},{"name":"fields","in":"query","description":"field list","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PagedResponseIssueComment"}}}}}},"post":{"tags":["Issue events"],"summary":"Create new issue comment","operationId":"createIssueComment","parameters":[{"name":"issueId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IssueCommentModel"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/IssueComment"}}}}}}},"/api/v1/user":{"get":{"tags":["Users"],"summary":"Retrieves user details","operationId":"getUserDetails","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UserDetailsModel"}}}}}}},"/api/v1/systems/{reference}/files/{uuid}":{"get":{"tags":["File resources"],"summary":"Download file","operationId":"download","parameters":[{"name":"reference","in":"path","required":true,"schema":{"type":"string"}},{"name":"uuid","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string","format":"binary"}}}}}}},"/api/v1/systems/files":{"get":{"tags":["File resources"],"summary":"List file resources","operationId":"list_2","parameters":[{"name":"filter","in":"query","description":"filter options","required":true,"schema":{"type":"string"}},{"name":"pageable","in":"query","required":true,"schema":{"$ref":"#/components/schemas/Pageable"}},{"name":"page","in":"query","description":"page number","schema":{"type":"integer"}},{"name":"size","in":"query","description":"page size","schema":{"type":"integer"}},{"name":"sort","in":"query","description":"sorting options","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PagedResponseFileResource"}}}}}}},"/api/v1/systems/data-objects":{"get":{"tags":["Information systems"],"summary":"List all existing information systems data objects","operationId":"listDataObjects","parameters":[{"name":"pageable","in":"query","required":true,"schema":{"$ref":"#/components/schemas/Pageable"}},{"name":"filterable","in":"query","required":true,"schema":{"$ref":"#/components/schemas/Filterable"}},{"name":"page","in":"query","description":"page number","schema":{"type":"integer"}},{"name":"size","in":"query","description":"page size","schema":{"type":"integer"}},{"name":"filter","in":"query","description":"filter options","schema":{"type":"string"}},{"name":"sort","in":"query","description":"sorting options","schema":{"type":"string"}},{"name":"fields","in":"query","description":"field list","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PagedResponseInfoSystemDataObjectModel"}}}}}}},"/api/v1/systems/autocomplete":{"get":{"tags":["Information systems"],"summary":"List all existing information systems for autocomplete","operationId":"autocomplete","parameters":[{"name":"searchTerm","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PagedResponseInfoSystemModel"}}}}}}},"/api/v1/organizations/{organizationCode}/systems/issues":{"get":{"tags":["Issues"],"summary":"List issues that belong to specific organization","operationId":"listOrganizationSystemsIssues","parameters":[{"name":"organizationCode","in":"path","required":true,"schema":{"type":"string"}},{"name":"pageable","in":"query","required":true,"schema":{"$ref":"#/components/schemas/Pageable"}},{"name":"filterRequest","in":"query","required":true,"schema":{"$ref":"#/components/schemas/CompositeFilterRequest"}},{"name":"page","in":"query","description":"page number","schema":{"type":"integer"}},{"name":"size","in":"query","description":"page size","schema":{"type":"integer"}},{"name":"filter","in":"query","description":"filter options","schema":{"type":"string"}},{"name":"sort","in":"query","description":"sorting options","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PagedResponseDashboardIssue"}}}}}}},"/api/v1/my/organization/users":{"get":{"tags":["Organization"],"summary":"List users of given organization","operationId":"listOrganizationUsers","parameters":[{"name":"pageable","in":"query","required":true,"schema":{"$ref":"#/components/schemas/Pageable"}},{"name":"filterRequest","in":"query","required":true,"schema":{"$ref":"#/components/schemas/CompositeFilterRequest"}},{"name":"page","in":"query","description":"page number","schema":{"type":"integer"}},{"name":"size","in":"query","description":"page size","schema":{"type":"integer"}},{"name":"filter","in":"query","description":"filter options","schema":{"type":"string"}},{"name":"sort","in":"query","description":"sorting options","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PagedResponseUserDetailsModel"}}}}}}},"/api/v1/issues":{"get":{"tags":["Issues"],"summary":"List all RIHA issues","operationId":"listIssues","parameters":[{"name":"pageable","in":"query","required":true,"schema":{"$ref":"#/components/schemas/Pageable"}},{"name":"filterable","in":"query","required":true,"schema":{"$ref":"#/components/schemas/Filterable"}},{"name":"page","in":"query","description":"page number","schema":{"type":"integer"}},{"name":"size","in":"query","description":"page size","schema":{"type":"integer"}},{"name":"filter","in":"query","description":"filter options","schema":{"type":"string"}},{"name":"sort","in":"query","description":"sorting options","schema":{"type":"string"}},{"name":"fields","in":"query","description":"field list","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PagedResponseRihaIssueSummary"}}}}}}},"/api/v1/issues/{issueId}/timeline":{"get":{"tags":["Issue timeline"],"summary":"Get issue timeline","operationId":"getTimeline","parameters":[{"name":"issueId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"pageable","in":"query","required":true,"schema":{"$ref":"#/components/schemas/Pageable"}},{"name":"page","in":"query","description":"page number","schema":{"type":"integer"}},{"name":"size","in":"query","description":"page size","schema":{"type":"integer"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PagedResponseIssueEntity"}}}}}}},"/api/v1/issues/{issueId}/comments/{commentId}":{"get":{"tags":["Issue events"],"summary":"Get single issue comment","operationId":"getIssueComment","parameters":[{"name":"issueId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"commentId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/IssueComment"}}}}}}},"/api/v1/environment":{"get":{"tags":["Environment configuration"],"summary":"Retrieve environment","operationId":"environment","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string"}}}}}}},"/api/v1/environment/classifiers":{"get":{"tags":["Environment configuration"],"summary":"Load classifiers","operationId":"classifiers","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string"}}}}}}},"/api/v1/dashboard/issues/org":{"get":{"tags":["dashboard-controller"],"summary":"List issues related to current user organization","operationId":"listUserActiveOrganizationRelatedIssues","parameters":[{"name":"pageable","in":"query","required":true,"schema":{"$ref":"#/components/schemas/Pageable"}},{"name":"filterRequest","in":"query","required":true,"schema":{"$ref":"#/components/schemas/CompositeFilterRequest"}},{"name":"page","in":"query","description":"page number","schema":{"type":"integer"}},{"name":"size","in":"query","description":"page size","schema":{"type":"integer"}},{"name":"filter","in":"query","description":"filter options","schema":{"type":"string"}},{"name":"sort","in":"query","description":"sorting options","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PagedResponseDashboardIssue"}}}}}}},"/api/v1/dashboard/issues/my":{"get":{"tags":["dashboard-controller"],"summary":"List issues related to current user","operationId":"listUserRelatedIssues","parameters":[{"name":"pageable","in":"query","required":true,"schema":{"$ref":"#/components/schemas/Pageable"}},{"name":"filterRequest","in":"query","required":true,"schema":{"$ref":"#/components/schemas/CompositeFilterRequest"}},{"name":"page","in":"query","description":"page number","schema":{"type":"integer"}},{"name":"size","in":"query","description":"page size","schema":{"type":"integer"}},{"name":"filter","in":"query","description":"filter options","schema":{"type":"string"}},{"name":"sort","in":"query","description":"sorting options","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PagedResponseDashboardIssue"}}}}}}},"/api/v1/csrf/token":{"get":{"tags":["csrf-controller"],"operationId":"getCsrfToken","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"string"}}}}}}}},"/api/v1/csrf-token":{"get":{"tags":["csrf-token-controller"],"operationId":"getCsrfToken_1","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"string"}}}}}}}},"/api/v1/systems/{reference}/relations/{relationId}":{"delete":{"tags":["Information system relations"],"summary":"Deletes single relation of information system","operationId":"delete","parameters":[{"name":"reference","in":"path","required":true,"schema":{"type":"string"}},{"name":"relationId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}}}},"components":{"schemas":{"OrganizationModel":{"type":"object","properties":{"code":{"type":"string"},"name":{"type":"string"}}},"UserDetailsModel":{"type":"object","properties":{"personalCode":{"type":"string"},"firstName":{"type":"string"},"lastName":{"type":"string"},"email":{"type":"string"},"approver":{"type":"boolean"},"producer":{"type":"boolean"},"organizations":{"type":"array","items":{"$ref":"#/components/schemas/OrganizationModel"}},"activeOrganization":{"$ref":"#/components/schemas/OrganizationModel"},"roles":{"type":"array","items":{"type":"string"}}}},"InfoSystemModel":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"lastPositiveApprovalRequestType":{"type":"string","enum":["ESTABLISHMENT_REQUEST","TAKE_INTO_USE_REQUEST","MODIFICATION_REQUEST","FINALIZATION_REQUEST","AUTOMATICALLY_REGISTERED"]},"lastPositiveApprovalRequestDate":{"type":"string","format":"date-time"},"lastPositiveEstablishmentRequestDate":{"type":"string","format":"date-time"},"lastPositiveTakeIntoUseRequestDate":{"type":"string","format":"date-time"},"lastPositiveFinalizationRequestDate":{"type":"string","format":"date-time"},"hasUsedSystemTypeRelations":{"type":"boolean"},"details":{"$ref":"#/components/schemas/JsonNode","description":"Info system details"}}},"JsonNode":{"description":"Info system details"},"IssueStatusUpdateModel":{"type":"object","properties":{"comment":{"type":"string"},"status":{"type":"string","enum":["OPEN","CLOSED"]},"resolutionType":{"type":"string","enum":["POSITIVE","NEGATIVE","DISMISSED"]}}},"Issue":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"infoSystemUuid":{"type":"string","format":"uuid"},"dateCreated":{"type":"string","format":"date-time"},"title":{"type":"string"},"comment":{"type":"string"},"authorName":{"type":"string"},"authorPersonalCode":{"type":"string"},"organizationName":{"type":"string"},"organizationCode":{"type":"string"},"status":{"type":"string","enum":["OPEN","CLOSED"]},"type":{"type":"string","enum":["ESTABLISHMENT_REQUEST","TAKE_INTO_USE_REQUEST","MODIFICATION_REQUEST","FINALIZATION_REQUEST","AUTOMATICALLY_REGISTERED"]},"resolutionType":{"type":"string","enum":["POSITIVE","NEGATIVE","DISMISSED"]},"decisionDeadline":{"type":"string","format":"date"},"entityType":{"type":"string","enum":["ISSUE","ISSUE_COMMENT","ISSUE_EVENT"]}}},"RelationModel":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"infoSystemShortName":{"type":"string"},"type":{"type":"string","enum":["SUB_SYSTEM","SUPER_SYSTEM","USED_SYSTEM","USER_SYSTEM"]}}},"RelationSummaryModel":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"infoSystemUuid":{"type":"string","format":"uuid"},"infoSystemName":{"type":"string"},"infoSystemShortName":{"type":"string"},"type":{"type":"string","enum":["SUB_SYSTEM","SUPER_SYSTEM","USED_SYSTEM","USER_SYSTEM"]}}},"StandardRealisationCreationModel":{"type":"object","properties":{"shortName":{"type":"string"},"name":{"type":"string"},"differences":{"type":"string"},"purpose":{"type":"string"}}},"SystemFeedbackRequest":{"type":"object","properties":{"grade":{"type":"integer","format":"int32"},"comment":{"type":"string","maxLength":4000,"minLength":0},"timestamp":{"type":"string","format":"date-time"},"recaptchaToken":{"type":"string"},"nps":{"type":"integer","format":"int32"}},"required":["grade"]},"IssueApprovalDecisionModel":{"type":"object","properties":{"comment":{"type":"string"},"decisionType":{"type":"string","enum":["POSITIVE","NEGATIVE","DISMISSED"]}}},"IssueCommentModel":{"type":"object","properties":{"comment":{"type":"string"}}},"IssueComment":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"issueId":{"type":"integer","format":"int64"},"comment":{"type":"string"},"dateCreated":{"type":"string","format":"date-time"},"authorName":{"type":"string"},"authorPersonalCode":{"type":"string"},"organizationName":{"type":"string"},"organizationCode":{"type":"string"},"entityType":{"type":"string","enum":["ISSUE","ISSUE_COMMENT","ISSUE_EVENT"]}}},"Pageable":{"type":"object","properties":{"offset":{"type":"integer","format":"int32"},"pageSize":{"type":"integer","format":"int32"},"pageNumber":{"type":"integer","format":"int32"}}},"Filterable":{"type":"object","properties":{"fields":{"type":"string"},"sort":{"type":"string"},"filter":{"type":"string"}}},"PagedResponseInfoSystemModel":{"type":"object","properties":{"pageable":{"$ref":"#/components/schemas/Pageable","writeOnly":true},"totalElements":{"type":"integer","format":"int64"},"content":{"type":"array","items":{"$ref":"#/components/schemas/InfoSystemModel"}},"size":{"type":"integer","format":"int32"},"page":{"type":"integer","format":"int32"},"totalPages":{"type":"integer","format":"int32"}}},"RelationResponseSummaryModel":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"infoSystemUuid":{"type":"string","format":"uuid"},"infoSystemName":{"type":"string"},"infoSystemShortName":{"type":"string"},"type":{"type":"string","enum":["SUB_SYSTEM","SUPER_SYSTEM","USED_SYSTEM","USER_SYSTEM"]},"infoSystemStatus":{"type":"string"}}},"IssueSummaryModel":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"infoSystemUuid":{"type":"string","format":"uuid"},"dateCreated":{"type":"string","format":"date-time"},"title":{"type":"string"},"organizationName":{"type":"string"},"organizationCode":{"type":"string"},"status":{"type":"string","enum":["OPEN","CLOSED"]},"type":{"type":"string","enum":["ESTABLISHMENT_REQUEST","TAKE_INTO_USE_REQUEST","MODIFICATION_REQUEST","FINALIZATION_REQUEST","AUTOMATICALLY_REGISTERED"]},"resolutionType":{"type":"string","enum":["POSITIVE","NEGATIVE","DISMISSED"]}}},"PagedResponseIssueSummaryModel":{"type":"object","properties":{"pageable":{"$ref":"#/components/schemas/Pageable","writeOnly":true},"totalElements":{"type":"integer","format":"int64"},"content":{"type":"array","items":{"$ref":"#/components/schemas/IssueSummaryModel"}},"size":{"type":"integer","format":"int32"},"page":{"type":"integer","format":"int32"},"totalPages":{"type":"integer","format":"int32"}}},"CompositeFilterRequest":{"type":"object","properties":{"filterParameters":{"type":"array","items":{"type":"string"}},"sortParameters":{"type":"array","items":{"type":"string"}}}},"FileResource":{"type":"object","properties":{"fileResourceUuid":{"type":"string","format":"uuid"},"infoSystemShortName":{"type":"string"},"infoSystemOwnerCode":{"type":"string"},"infoSystemOwnerName":{"type":"string"},"infoSystemUuid":{"type":"string","format":"uuid"},"fileResourceName":{"type":"string"},"infoSystemName":{"type":"string"}}},"PagedResponseFileResource":{"type":"object","properties":{"pageable":{"$ref":"#/components/schemas/Pageable","writeOnly":true},"totalElements":{"type":"integer","format":"int64"},"content":{"type":"array","items":{"$ref":"#/components/schemas/FileResource"}},"size":{"type":"integer","format":"int32"},"page":{"type":"integer","format":"int32"},"totalPages":{"type":"integer","format":"int32"}}},"InfoSystemDataObjectModel":{"type":"object","properties":{"infosystem":{"type":"string"},"dataObjectName":{"type":"string"},"comment":{"type":"string"},"parentObject":{"type":"string"},"shortName":{"type":"string"},"fileUuid":{"type":"string","format":"uuid"},"diaFlag":{"type":"boolean"},"avFlag":{"type":"boolean"},"iaFlag":{"type":"boolean"},"paFlag":{"type":"boolean"},"personalData":{"type":"string"}}},"PagedResponseInfoSystemDataObjectModel":{"type":"object","properties":{"pageable":{"$ref":"#/components/schemas/Pageable","writeOnly":true},"totalElements":{"type":"integer","format":"int64"},"content":{"type":"array","items":{"$ref":"#/components/schemas/InfoSystemDataObjectModel"}},"size":{"type":"integer","format":"int32"},"page":{"type":"integer","format":"int32"},"totalPages":{"type":"integer","format":"int32"}}},"DashboardIssue":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"dateCreated":{"type":"string","format":"date-time"},"type":{"type":"string","enum":["ESTABLISHMENT_REQUEST","TAKE_INTO_USE_REQUEST","MODIFICATION_REQUEST","FINALIZATION_REQUEST","AUTOMATICALLY_REGISTERED"]},"title":{"type":"string"},"infoSystemFullName":{"type":"string"},"infoSystemShortName":{"type":"string"},"authorName":{"type":"string"},"organizationName":{"type":"string"},"lastComment":{"$ref":"#/components/schemas/DashboardIssueComment"}}},"DashboardIssueComment":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"dateCreated":{"type":"string","format":"date-time"},"authorName":{"type":"string"},"organizationName":{"type":"string"},"organizationCode":{"type":"string"}}},"PagedResponseDashboardIssue":{"type":"object","properties":{"pageable":{"$ref":"#/components/schemas/Pageable","writeOnly":true},"totalElements":{"type":"integer","format":"int64"},"content":{"type":"array","items":{"$ref":"#/components/schemas/DashboardIssue"}},"size":{"type":"integer","format":"int32"},"page":{"type":"integer","format":"int32"},"totalPages":{"type":"integer","format":"int32"}}},"PagedResponseUserDetailsModel":{"type":"object","properties":{"pageable":{"$ref":"#/components/schemas/Pageable","writeOnly":true},"totalElements":{"type":"integer","format":"int64"},"content":{"type":"array","items":{"$ref":"#/components/schemas/UserDetailsModel"}},"size":{"type":"integer","format":"int32"},"page":{"type":"integer","format":"int32"},"totalPages":{"type":"integer","format":"int32"}}},"IssueEventSummaryModel":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"type":{"type":"string","enum":["CLOSED","DECISION"]},"organizationName":{"type":"string"},"organizationCode":{"type":"string"},"resolutionType":{"type":"string","enum":["POSITIVE","NEGATIVE","DISMISSED"]},"dateCreated":{"type":"string","format":"date-time"}}},"PagedResponseRihaIssueSummary":{"type":"object","properties":{"pageable":{"$ref":"#/components/schemas/Pageable","writeOnly":true},"totalElements":{"type":"integer","format":"int64"},"content":{"type":"array","items":{"$ref":"#/components/schemas/RihaIssueSummary"}},"size":{"type":"integer","format":"int32"},"page":{"type":"integer","format":"int32"},"totalPages":{"type":"integer","format":"int32"}}},"RihaIssueSummary":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"infoSystemShortName":{"type":"string"},"dateCreated":{"type":"string","format":"date-time"},"title":{"type":"string"},"issueType":{"type":"string","enum":["ESTABLISHMENT_REQUEST","TAKE_INTO_USE_REQUEST","MODIFICATION_REQUEST","FINALIZATION_REQUEST","AUTOMATICALLY_REGISTERED"]},"organizationName":{"type":"string"},"organizationCode":{"type":"string"},"status":{"type":"string","enum":["OPEN","CLOSED"]},"infoSystemFullName":{"type":"string"},"resolutionType":{"type":"string","enum":["POSITIVE","NEGATIVE","DISMISSED"]},"events":{"type":"array","items":{"$ref":"#/components/schemas/IssueEventSummaryModel"}},"decisionDeadline":{"type":"string","format":"date"}}},"IssueEntity":{"type":"object","properties":{"entityType":{"type":"string","enum":["ISSUE","ISSUE_COMMENT","ISSUE_EVENT"]}}},"PagedResponseIssueEntity":{"type":"object","properties":{"pageable":{"$ref":"#/components/schemas/Pageable","writeOnly":true},"totalElements":{"type":"integer","format":"int64"},"content":{"type":"array","items":{"$ref":"#/components/schemas/IssueEntity"}},"size":{"type":"integer","format":"int32"},"page":{"type":"integer","format":"int32"},"totalPages":{"type":"integer","format":"int32"}}},"PagedResponseIssueComment":{"type":"object","properties":{"pageable":{"$ref":"#/components/schemas/Pageable","writeOnly":true},"totalElements":{"type":"integer","format":"int64"},"content":{"type":"array","items":{"$ref":"#/components/schemas/IssueComment"}},"size":{"type":"integer","format":"int32"},"page":{"type":"integer","format":"int32"},"totalPages":{"type":"integer","format":"int32"}}}}}}